attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord0;
uniform mat4 u_projTrans;
varying vec4 v_color;
varying vec2 v_texCoords;

uniform float screenScale;

void main() {
   v_color = a_color;
   v_color.a = v_color.a * (255.0/254.0);
   v_texCoords = a_texCoord0;

   gl_Position =  u_projTrans * (floor((a_position * screenScale) + 0.5) / screenScale);
}
